fop 1.1

## org.apache.fop.render
Interface RendererContextConstants

All Known Subinterfaces:
  AFPRendererContextConstants, Java2DRendererContextConstants, PCLRendererContextConstants, PDFRendererContextConstants, PSRendererContextConstants, SVGRendererContextConstants

All Known Implementing Classes:
  AbstractGenericSVGHandler, AFPSVGHandler, Java2DSVGHandler, PCLSVGHandler, PDFSVGHandler, PSSVGHandler, SVGSVGHandler

    public interface RendererContextConstants

Defines a number of standard constants (keys) for use by the RendererContext class.

Field Summary
`static java.lang.String` `FOREIGN_ATTRIBUTES` An optional Map (keys: QName, values: String) with attributes containing additional hints for rendering.
`static java.lang.String` `HANDLER_CONFIGURATION` The configuration for the XMLHandler.
`static java.lang.String` `HEIGHT` The target height of the image being painted.
`static java.lang.String` `OUTPUT_STREAM` The output stream that the document is being sent to.
`static java.lang.String` `PAGE_VIEWPORT` The current PageViewport being rendered.
`static java.lang.String` `WIDTH` The target width of the image being painted.
`static java.lang.String` `XPOS` The x position that this image is being drawn at.
`static java.lang.String` `YPOS` The y position that this image is being drawn at.

Field Detail

### OUTPUT_STREAM

    static final java.lang.String OUTPUT_STREAM

  The output stream that the document is being sent to.

  See Also:
    Constant Field Values

### PAGE_VIEWPORT

    static final java.lang.String PAGE_VIEWPORT

  The current PageViewport being rendered.

  See Also:
    Constant Field Values

### WIDTH

    static final java.lang.String WIDTH

  The target width of the image being painted.

  See Also:
    Constant Field Values

### HEIGHT

    static final java.lang.String HEIGHT

  The target height of the image being painted.

  See Also:
    Constant Field Values

### XPOS

    static final java.lang.String XPOS

  The x position that this image is being drawn at.

  See Also:
    Constant Field Values

### YPOS

    static final java.lang.String YPOS

  The y position that this image is being drawn at.

  See Also:
    Constant Field Values

### HANDLER_CONFIGURATION

    static final java.lang.String HANDLER_CONFIGURATION

  The configuration for the XMLHandler.

  See Also:
    Constant Field Values

### FOREIGN_ATTRIBUTES

    static final java.lang.String FOREIGN_ATTRIBUTES

  An optional Map (keys: QName, values: String) with attributes containing additional hints for rendering.

  See Also:
    Constant Field Values

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.